---------------------
PatchSet 1207 
Date: 2005/01/30 09:44:41
Author: serassio
Branch: nt
Tag: (none) 
Log:
Win32 IPC bug fix

Members: 
	src/ipc.cc:1.8.2.9->1.8.2.10 

Index: squid3/src/ipc.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ipc.cc,v
retrieving revision 1.8.2.9
retrieving revision 1.8.2.10
diff -u -r1.8.2.9 -r1.8.2.10
--- squid3/src/ipc.cc	8 Jan 2005 10:50:45 -0000	1.8.2.9
+++ squid3/src/ipc.cc	30 Jan 2005 09:44:41 -0000	1.8.2.10
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ipc.cc,v 1.8.2.9 2005/01/08 10:50:45 serassio Exp $
+ * $Id: ipc.cc,v 1.8.2.10 2005/01/30 09:44:41 serassio Exp $
  *
  * DEBUG: section 54    Interprocess Communication
  * AUTHOR: Duane Wessels
@@ -1377,6 +1377,8 @@
 
         hello_buf[x] = '\0';
         pid_t pid = atol(hello_buf);
+        HANDLE HProcess = OpenProcess(PROCESS_QUERY_INFORMATION | PROCESS_VM_READ, FALSE, pid);
+
 #endif
 
         commSetTimeout(result->prfd, -1, NULL, NULL);
@@ -1392,8 +1394,8 @@
             DWORD ecode = 0;
 
             if (GetExitCodeThread(result->mySpawn->getHandle(), &ecode) && ecode == STILL_ACTIVE) {
-                result->result (IPCResult(true, pid, result->prfd, result->pwfd, result->mySpawn->getHandle()));
-                debug(50, 1) ("IPC::Create: Program: %s, PID: %d, Handle: 0x%x\n", prog, pid, (unsigned) result->mySpawn->getHandle());
+                result->result (IPCResult(true, pid, result->prfd, result->pwfd, HProcess));
+                debug(50, 1) ("IPC::Create: Program: %s, PID: %d, Handle: 0x%x\n", prog, pid, HProcess);
 
                 return result;
             } else {
